libgdamm 4.99.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Gnome::Gda::DataModelIterError Class Reference
Inheritance diagram for Gnome::Gda::DataModelIterError:
[legend]
Collaboration diagram for Gnome::Gda::DataModelIterError:
[legend]

## Public Types
enum | Code { DATA_MODEL_ITER_COLUMN_OUT_OF_RANGE_ERROR }

## Public Member Functions
| DataModelIterError (Code error_code, const Glib::ustring& error_message)
| DataModelIterError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Exception
virtual Glib::ustring | what () const =0

## Member Enumeration Documentation

enum Gnome::Gda::DataModelIterError::Code

Enumerator
DATA_MODEL_ITER_COLUMN_OUT_OF_RANGE_ERROR |

## Constructor & Destructor Documentation

Gnome::Gda::DataModelIterError::DataModelIterError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gnome::Gda::DataModelIterError::DataModelIterError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

Code Gnome::Gda::DataModelIterError::code | ( |  | ) | const

The documentation for this class was generated from the following file:

- libgdamm/datamodeliter.h